package it.openutils.mgnlbootstrapsync.watch;

import it.openutils.mgnlbootstrapsync.BootstrapEnableRoot;
import it.openutils.mgnlbootstrapsync.BootstrapExportRoot;

/**
 *
 * @author mmolaschi
 * @version $Id: $
 */
public class BootstrapSyncRepositoryWatch
{

    private String repository;

    private String exportPath;

    private BootstrapExportRoot exportRoots;

    private BootstrapEnableRoot enableRoots;
    
    private String nodeType;

    /**
     *
     * @param repository repository to watch
     * @param basePath base path for repository
     * @param exportPath folder to export files to
     * @param exportRoots comma separeted list of nodes (every modified to children will be exported as this node)
     * @param enableRoots enabled branches for listener
     */
    public BootstrapSyncRepositoryWatch(String repository, String exportPath, String exportRoots, String enableRoots, String nodeType)
    {
        this.repository = repository;
        this.exportPath = exportPath;
        this.exportRoots = new BootstrapExportRoot(exportRoots);
        this.enableRoots = new BootstrapEnableRoot(enableRoots);
    }

    public String getRepository()
    {
        return repository;
    }

    public void setRepository(String repository)
    {
        this.repository = repository;
    }

    public String getExportPath()
    {
        return exportPath;
    }

    public void setExportPath(String exportPath)
    {
        this.exportPath = exportPath;
    }


    /**
     * Returns the exportRoots.
     * @return the exportRoots
     */
    public BootstrapExportRoot getExportRoots()
    {
        return exportRoots;
    }


    /**
     * Sets the exportRoots.
     * @param exportRoots the exportRoots to set
     */
    public void setExportRoots(BootstrapExportRoot exportRoots)
    {
        this.exportRoots = exportRoots;
    }


    /**
     * Returns the enableRoots.
     * @return the enableRoots
     */
    public BootstrapEnableRoot getEnableRoots()
    {
        return enableRoots;
    }


    /**
     * Sets the enableRoots.
     * @param enableRoots the enableRoots to set
     */
    public void setEnableRoots(BootstrapEnableRoot enableRoots)
    {
        this.enableRoots = enableRoots;
    }

    
    /**
     * Returns the nodeType.
     * @return the nodeType
     */
    public String getNodeType()
    {
        return nodeType;
    }

    
    /**
     * Sets the nodeType.
     * @param nodeType the nodeType to set
     */
    public void setNodeType(String nodeType)
    {
        this.nodeType = nodeType;
    }
}
